Skip to navigation

List of immigration cases

Use this endpoint to track the progress of your organization’s immigration cases and identify ones that need attention, such as those currently on hold.

Token scopes: immigration:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

searchstringOptional3-100 characters
Search by applicant name or code
case_type_idslist of stringsOptional
Filter by case type IDs
statuseslist of enumsOptional
Filter by case status
Allowed values:
countrieslist of stringsOptional

Filter by country. Uses ISO 3166-1 alpha-2 codes (https://www.iban.com/country-codes).

cursorstringOptional
Pagination cursor for fetching next set of results
limitintegerOptional<=100Defaults to 20
Max number of results to return

Response

Successful operation.
datalist of objects
List of cases in the current page.
has_moreboolean
Indicates whether more results are available for pagination.
total_countinteger
Total number of cases matching the search criteria.
next_cursorstring or nullOptional
Cursor value to be used for fetching the next page of results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error